Schöck
| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму | Файлообменник |

Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > VBA. Подрезка видового экрана

VBA. Подрезка видового экрана

Ответ
Поиск в этой теме
Непрочитано 19.12.2019, 02:58 #1
VBA. Подрезка видового экрана
Автон
 
СЦБ
 
Иркутск
Регистрация: 09.03.2006
Сообщений: 46

Здравствуйте! Возможно ли на VBA сделать подрезку (vpclip) Viewport? Поискал, вроде на VBA это сделать невозможно. Существуют ли альтернативные способы ? Или только .net?
Просмотров: 752
 
Непрочитано 19.12.2019, 06:34
#2
trir


 
Регистрация: 18.12.2010
Сообщений: 3,720


я делал через lisp
trir вне форума  
 
Автор темы   Непрочитано 19.12.2019, 06:56
#3
Автон

СЦБ
 
Регистрация: 09.03.2006
Иркутск
Сообщений: 46


Цитата:
Сообщение от trir Посмотреть сообщение
я делал через lisp
Можете пример показать?
В идеале мне надо, чтобы лисп находил на листе единственный видовой экран и подрезал по единственной полилинии такого же размера

Последний раз редактировалось Автон, 19.12.2019 в 07:11.
Автон вне форума  
 
Непрочитано 19.12.2019, 07:13
1 | #4
trir


 
Регистрация: 18.12.2010
Сообщений: 3,720


https://forum.dwg.ru/attachment.php?...7&d=1396862592
но dotNET конечно лучше

Код:
[Выделить все]
 (defun MyVpClip (VPID LWPLID /)
(vl-load-com)
(setq actdoc (vla-get-ActiveDocument (vlax-get-acad-object))) 
(setq VP (vla-ObjectIDToObject actdoc VPID)
LWPL (vla-ObjectIDToObject actdoc LWPLID)
)
(setq VPE (vlax-vla-object->ename VP)
LWPLE (vlax-vla-object->ename LWPL)
)
(command "_.vpclip" VPE LWPLE)
(setq v VPE) 
)
trir вне форума  
 
Автор темы   Непрочитано 19.12.2019, 08:56
#5
Автон

СЦБ
 
Регистрация: 09.03.2006
Иркутск
Сообщений: 46


Спасибо! Вы это придумали ещё 10 лет назад)
Автон вне форума  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > VBA. Подрезка видового экрана

Размещение рекламы
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск


Похожие темы
Тема Автор Раздел Ответов Последнее сообщение
Как просуммировать текст с видового экрана в пространстве листа при помощи лиспа megabeton LISP 2 31.01.2017 11:43
Прилипает курсор мыши к границам видового экрана - как отключить? Geolog1900 AutoCAD 2 10.04.2015 15:20
Изменение масштаба видового экрана при зумировании DianaChTailor Программирование 26 26.12.2014 21:02
Вопрос про аннотативность и масштабы видового экрана. Yur.OK_SPb AutoCAD 16 13.01.2012 16:53
как выйти из видового экрана в пространстве листа Grigorii_K AutoCAD 9 24.03.2011 18:39